- entityDefinitions:
  - IDM_Instance__get__Text: '{f031babd-4c37-44d7-ab20-6ac63bbb6974}'

  - IDMB_Element_Content__get__Data_Type_Name: '{e6e37fbc-a78a-4315-bf1b-3155f6fae656}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getAttributeBySystemRoutineMethod: '&IDM_Instance__get__Text;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Instance;'
    returnsAttributeId: '&IDA_WorkDataName;'
    verb: 'get'
    name: 'Text'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    systemAttributeRoutineId: '&IDI_SystemAttributeRoutine_GetInstanceText;'
    
  - returnAttributeMethodBinding: '&IDMB_Element_Content__get__Data_Type_Name;'
    executesMethod: '&IDM_Instance__get__Text;'
    parameterAssignments:
    - globalIdentifier: '{25efdb26-1f93-4f61-aad0-a72b4bb3c7ba}'
      assignsToParameter: '&IDC_Instance;'
      assignsFromWorkData: '&IDMB_Element_Content__get__Data_Type;'